Automações RSS
GET https://esolucaomkt.online/api/rss-automations/
curl --request GET \
--url 'https://esolucaomkt.online/api/rss-automations/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://esolucaomkt.online/api/rss-automations/' \
--header 'Authorization: Bearer {api_key}' \
| Parâmetros | Detalhes | Descrição |
|---|---|---|
| search | Opcional Corda | A sequência de pesquisa. |
| search_by | Opcional Corda | Por qual campo você está pesquisando. Os valores permitidos são: name, title, description, url, rss_url. |
| website_id | Opcional Inteiro | |
| datetime_field | Opcional Corda | Valores permitidos: last_check_datetime, next_check_datetime, datetime, last_datetime |
| datetime_start | Opcional Corda | Filtre os resultados a partir desta data e hora. Formato Y-m-d H:i:s. |
| datetime_end | Opcional Corda | Filtre os resultados até esta data e hora. Formato Y-m-d H:i:s. |
| order_by | Opcional Corda | Por qual campo ordenar os resultados. Os valores permitidos são: rss_automation_id, datetime, last_datetime, last_check_datetime, next_check_datetime, name, title, total_campaigns, total_push_notifications, total_sent_push_notifications, total_displayed_push_notifications, total_clicked_push_notifications, total_closed_push_notifications. |
| order_type | Opcional Corda | A ordenação dos resultados. Os valores permitidos são: ASC para ordem crescente e DESC para ordem decrescente. |
| page | Opcional Inteiro | O número da página da qual você deseja resultados. O padrão é 1. |
| results_per_page | Opcional Inteiro | Quantos resultados você deseja por página. Os valores permitidos são: 10, 25, 50, 100, 250, 500, 1000. O padrão é 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"website_id": 1,
"rss_url": "https://example.com/feex.xml",
"name": "Example",
"title": "Sample message",
"description": "This is coming from the API.",
"url": "https://example.com",
"image_url": null,
"settings": {
"ttl": 2419200,
"urgency": "normal",
"is_silent": 0,
"is_auto_hide": 0,
"button_title_1": "",
"button_url_1": "",
"button_title_2": "",
"button_url_2": "",
"check_interval_seconds": 60,
"items_count": 3,
"campaigns_delay": 15
},
"segment": "all",
"is_enabled": true,
"total_sent_push_notifications": 0,
"total_displayed_push_notifications": 0,
"total_clicked_push_notifications": 0,
"total_closed_push_notifications": 0,
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-06-22 23:54:57",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://esolucaomkt.online/api/rss-automations?page=1",
"last": "https://esolucaomkt.online/api/rss-automations?page=1",
"next": null,
"prev": null,
"self": "https://esolucaomkt.online/api/rss-automations?page=1"
}
}
GET https://esolucaomkt.online/api/rss-automations/{rss_automation_id}
curl --request GET \
--url 'https://esolucaomkt.online/api/rss-automations/{rss_automation_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://esolucaomkt.online/api/rss-automations/{rss_automation_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"website_id": 1,
"rss_url": "https://example.com/feex.xml",
"name": "Example",
"title": "Sample message",
"description": "This is coming from the API.",
"url": "https://example.com",
"image_url": null,
"settings": {
"ttl": 2419200,
"urgency": "normal",
"is_silent": 0,
"is_auto_hide": 0,
"button_title_1": "",
"button_url_1": "",
"button_title_2": "",
"button_url_2": "",
"check_interval_seconds": 60,
"items_count": 3,
"campaigns_delay": 15
},
"segment": "all",
"is_enabled": true,
"total_sent_push_notifications": 0,
"total_displayed_push_notifications": 0,
"total_clicked_push_notifications": 0,
"total_closed_push_notifications": 0,
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-06-22 23:54:57",
}
}
POST https://esolucaomkt.online/api/rss-automations
| Parâmetros | Detalhes | Descrição |
|---|---|---|
| website_id | Obrigatório Inteiro | - |
| rss_url | Opcional Corda | - |
| name | Obrigatório Corda | - |
| title | Obrigatório Corda | - |
| description | Obrigatório Corda | - |
| url | Opcional Corda | - |
| image | Opcional Arquivo | - |
| button_title_1 | Opcional Corda | - |
| button_url_1 | Opcional Corda | - |
| button_title_2 | Opcional Corda | - |
| button_url_2 | Opcional Corda | - |
| is_silent | Opcional Booleano | - |
| is_auto_hide | Opcional Booleano | - |
| ttl | Opcional Corda | Valores permitidos: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200 |
| utm_source | Opcional Corda | - |
| utm_medium | Opcional Corda | - |
| utm_campaign | Opcional Corda | - |
| check_interval_seconds | Opcional Corda | Valores permitidos: 900, 1800, 3600, 21600, 43200, 86400, 259200 (segundos) |
| items_count | Opcional Corda | Valores permitidos: 1 - 100 |
| campaigns_delay | Opcional Corda | Valores permitidos: 5 - 1440 |
| unique_item_identifier | Opcional Corda | Valores permitidos: url, publication_date, id |
| use_rss_image | Opcional Booleano | - |
| disable_rss_automation_on_fail | Opcional Booleano | - |
| is_enabled | Opcional Booleano | - |
curl --request POST \
--url 'https://esolucaomkt.online/api/rss-automations' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--form 'rss_url=https://example.com/feed.xml' \
--url 'https://esolucaomkt.online/api/rss-automations' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--form 'rss_url=https://example.com/feed.xml' \
{
"data": {
"id": 1
}
}
POST https://esolucaomkt.online/api/rss-automations/{rss_automation_id}
| Parâmetros | Detalhes | Descrição |
|---|---|---|
| website_id | Opcional Inteiro | - |
| rss_url | Opcional Corda | - |
| name | Opcional Corda | - |
| title | Opcional Corda | - |
| description | Opcional Corda | - |
| url | Opcional Corda | - |
| image | Opcional Arquivo | - |
| button_title_1 | Opcional Corda | - |
| button_url_1 | Opcional Corda | - |
| button_title_2 | Opcional Corda | - |
| button_url_2 | Opcional Corda | - |
| is_silent | Opcional Booleano | - |
| is_auto_hide | Opcional Booleano | - |
| ttl | Opcional Corda | Valores permitidos: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200 |
| utm_source | Opcional Corda | - |
| utm_medium | Opcional Corda | - |
| utm_campaign | Opcional Corda | - |
| check_interval_seconds | Opcional Corda | Valores permitidos: 900, 1800, 3600, 21600, 43200, 86400, 259200 (segundos) |
| items_count | Opcional Corda | Valores permitidos: 1 - 100 |
| campaigns_delay | Opcional Corda | Valores permitidos: 5 - 1440 |
| unique_item_identifier | Opcional Corda | Valores permitidos: url, publication_date, id |
| use_rss_image | Opcional Booleano | - |
| disable_rss_automation_on_fail | Opcional Booleano | - |
| is_enabled | Opcional Booleano | - |
curl --request POST \
--url 'https://esolucaomkt.online/api/rss-automations/{rss_automation_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--form 'rss_url=https://example.com/feed.xml' \
--url 'https://esolucaomkt.online/api/rss-automations/{rss_automation_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--form 'rss_url=https://example.com/feed.xml' \
{
"data": {
"id": 1
}
}
DELETE https://esolucaomkt.online/api/rss-automations/{rss_automation_id}
curl --request DELETE \
--url 'https://esolucaomkt.online/api/rss-automations/{rss_automation_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://esolucaomkt.online/api/rss-automations/{rss_automation_id}' \
--header 'Authorization: Bearer {api_key}' \